%define upstream_name    AuthCAS
%define upstream_version 1.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Client library for CAS 2.0 authentication server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildArch:  noarch

%description
AuthCAS aims at providing a Perl API to Yale's Central Authentication
System (CAS). Only a basic Perl library is provided with CAS whereas
AuthCAS is a full object-oriented library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/pod-coverage.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.600.0-10.mga9
+ Revision: 1802131
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.600.0-9.mga8
+ Revision: 1492829
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.600.0-8.mga7
+ Revision: 1265707
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.600.0-7.mga6
+ Revision: 1022605
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.600.0-6.mga6
+ Revision: 942928
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.600.0-5.mga5
+ Revision: 740552
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.600.0-4.mga5
+ Revision: 683565
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 509243
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 363235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 kharec <kharec> 1.600.0-1.mga3
+ Revision: 292023
- update to 1.6

* Tue Apr 12 2011 jquelin <jquelin> 1.500.0-1.mga1
+ Revision: 83736
- update to 1.5

* Tue Jan 18 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 22020
- cleaning spec file
- imported package perl-AuthCAS


* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2010.0
+ Revision: 395063
- update to 1.4
- using %%perl_convert_version
- fixed license field

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 378430
- new version
- import perl-AuthCAS


* Thu May 21 2009 cpan2dist 1.3-1mdv
- initial mdv release, generated with cpan2dist

